<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Databases extends Model
{
    protected $primaryKey = 'databaseid';

    public static function getIfexists( $dbId )
    {
        try {
            $dbdata = Databases::where('databaseid', $dbId)->get();
        }
        catch(\Exception $e) {
            report($e);
            abort( 500, 'No database connection possible' );
        }

        if( !empty($dbdata) && !is_null($dbdata->first()) ) {
            $dbdata = $dbdata->first()->toArray();
        }
        else {
            return false;
        }

        $dbdata['dbpassword'] = $dbdata['dbuserpassword'];
        return $dbdata;
    }
}

