# Tineon verein.cloud API

## Create and apply patch for Keycloak
 * Create:
   * Locally, get version 1.3.4 from https://github.com/robsontenorio/laravel-keycloak-guard/blob/1.3.4/src/KeycloakGuard.php
   * Copy the file KeycloakGuard.php to KeycloakGuard.php.old and make the necessary changes in the original php file
   * From the root folder, call ```vendor/bin/vendor-patches generate```
   * This will generate the file patches/robsontenorio-laravel-keycloak-guard-src-keycloakguard-php.patch
   * Commit and push the changes
 * Apply:
   * composer require symplify/vendor-patches --dev [--ignore-platform-req=ext-oci8]
   * composer install [--ignore-platform-req=ext-oci8]

# Lumen PHP Framework

[![Build Status](https://travis-ci.org/laravel/lumen-framework.svg)](https://travis-ci.org/laravel/lumen-framework)
[![Total Downloads](https://img.shields.io/packagist/dt/laravel/framework)](https://packagist.org/packages/laravel/lumen-framework)
[![Latest Stable Version](https://img.shields.io/packagist/v/laravel/framework)](https://packagist.org/packages/laravel/lumen-framework)
[![License](https://img.shields.io/packagist/l/laravel/framework)](https://packagist.org/packages/laravel/lumen-framework)

Laravel Lumen is a stunningly fast PHP micro-framework for building web applications with expressive, elegant syntax. We believe development must be an enjoyable, creative experience to be truly fulfilling. Lumen attempts to take the pain out of development by easing common tasks used in the majority of web projects, such as routing, database abstraction, queueing, and caching.

## Official Documentation

Documentation for the framework can be found on the [Lumen website](https://lumen.laravel.com/docs).

## Contributing

Thank you for considering contributing to Lumen! The contribution guide can be found in the [Laravel documentation](https://laravel.com/docs/contributions).

## Security Vulnerabilities

If you discover a security vulnerability within Lumen, please send an e-mail to Taylor Otwell at taylor@laravel.com. All security vulnerabilities will be promptly addressed.

## License

The Lumen framework is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).
