<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Information extends Model
{
    protected $table = 'INFORMATION';
    public $timestamps = false;
    protected $primaryKey = 'INFOID';
    protected $connection = 'vvclient';

    const OPHINEX_INFO_TYPE_WIN_KONTAKT = 1;
    const OPHINEX_INFO_TYPE_LAUFZEIT_ENDE = 2;
    const OPHINEX_INFO_TYPE_LAUFZEIT_TAGE = 3;
    const OPHINEX_INFO_TYPE_DOSB_STICHTAG = 4;
    const OPHINEX_INFO_TYPE_BLSV_STICHTAG = 5;
    const OPHINEX_INFO_TYPE_DFBSTAT_TRANSDATE = 6;
    const OPHINEX_INFO_TYPE_DFBSTAT_TRANSUSER = 7;
    const OPHINEX_INFO_TYPE_DFBPASS_LASTABGL = 8;
    const OPHINEX_INFO_TYPE_SUPPORT_ACTIVATION = 9;
    const OPHINEX_INFO_TYPE_APP_USERS_STATE = 10;
    const OPHINEX_INFO_TYPE_FIBU_LAUFZEIT_ENDE = 11;

}
